Skip to main content
GET
/
api
/
v1
/
users
/
{id}
Users:User
curl --request GET \
  --url https://api.cognee.ai/api/v1/users/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cognee.ai/api/v1/users/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "is_active": true,
  "is_superuser": false,
  "is_verified": false,
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Successful Response

id
string<uuid>
required
email
string<email>
required
is_active
boolean
default:true
is_superuser
boolean
default:false
is_verified
boolean
default:false
tenant_id
string<uuid> | null
parent_user_id
string<uuid> | null